global myfolder "\Users\Lingbo\Desktop"
global DropFolder $myfolder\Delete


*************************************
* Figure 4 (Note: significance levels are added manually.)
*************************************
use $myfolder\between-subject_data.dta , clear

preserve
collapse donation (semean) se_c = donation, by(treatment)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if treatment == "Aminus"
gen x2 = 2 if treatment == "NA"
gen x3 = 3 if treatment == "Aplus"
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
restore
Graph save Graph "$DropFolder\1.gph", replace
preserve
collapse donation (semean) se_c = donation, by(treatment)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if treatment == "Cminus"
gen x2 = 2 if treatment == "NA"
gen x3 = 3 if treatment == "Cplus"
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
restore
Graph save Graph "$DropFolder\2.gph", replace
preserve
collapse donation (semean) se_c = donation, by(treatment)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if treatment == "Dminus"
gen x2 = 2 if treatment == "NA"
gen x3 = 3 if treatment == "Dplus"
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
restore
Graph save Graph "$DropFolder\2.gph", replace
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3)




****************************************************************************
* Table C13 (Note: the output of p-values might be slightly different from that reported in the paper because of the bootstrap procedure)
****************************************************************************
use $myfolder\between-subject_data.dta , clear

gen alcoholic = 0 if treatment!="Aplus" | treatment=="Aminus"
replace alcoholic = 1 if treatment=="Aplus"
replace alcoholic = 2 if treatment=="Aminus"
gen courses = 0 if treatment!="Cplus" | treatment=="Cminus"
replace courses = 1 if treatment=="Cplus"
replace courses = 2 if treatment=="Cminus"
gen disability = 0 if treatment!="Dplus" | treatment=="Dminus"
replace disability = 1 if treatment=="Dplus"
replace disability = 2 if treatment=="Dminus"
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)

mhtreg (donation A_plus A_minus C_plus C_minus D_plus D_minus)  ///
(donation A_minus A_plus C_plus C_minus D_plus D_minus)  ///
(donation A_plus A_na C_plus C_minus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_minus D_plus D_minus)  ///
(donation C_minus A_plus A_minus C_plus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_na D_plus D_minus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_minus)  ///
(donation D_minus A_plus A_minus C_plus C_minus D_plus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_na) 


****************************************************************************
* Table C14: Tobit regression
****************************************************************************
use $myfolder\between-subject_data.dta , clear

gen alcoholic = 0 if treatment!="Aplus" | treatment=="Aminus"
replace alcoholic = 1 if treatment=="Aplus"
replace alcoholic = 2 if treatment=="Aminus"
gen courses = 0 if treatment!="Cplus" | treatment=="Cminus"
replace courses = 1 if treatment=="Cplus"
replace courses = 2 if treatment=="Cminus"
gen disability = 0 if treatment!="Dplus" | treatment=="Dminus"
replace disability = 1 if treatment=="Dplus"
replace disability = 2 if treatment=="Dminus"
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)

tobit donation A_plus A_minus C_plus C_minus D_plus D_minus, ll(0) ul(20)

test A_plus = A_minus
test C_plus = C_minus
test D_plus = D_minus
test A_plus = C_plus
test A_plus = D_plus
test C_plus = D_plus


