global myfolder "\Users\Lingbo\Desktop"
global DropFolder $myfolder\Delete

*************************************
* Figure 2 (Note: significance levels are added manually.)
*************************************
use $myfolder\master_data.dta , clear

preserve
keep if treatment == 0
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3)



*************************************
* Figure 3 (Note: significance levels are added manually.)
*************************************
use $myfolder\master_data.dta , clear

preserve
keep if treatment == 1
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 1
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
graph save Graph "$DropFolder\2.gph", replace
restore
preserve
keep if treatment == 1
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off)
graph save Graph "$DropFolder\3.gph", replace
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3)



**********************************************************************
* Table 4
**********************************************************************

//Column for Information (subjects' priors)
use $myfolder\master_data.dta , clear
* prepare
gen temp1 = 100 if alcoholic == 3
replace temp1 = probalcohol if alcoholic == 1
replace temp1 = 100 - probalcohol if alcoholic == 2
gen temp2 = 100 if courses == 3
replace temp2 = probcourse if courses == 1
replace temp2 = 100 - probcourse if courses == 2
gen temp3 = 100 if disability == 3
replace temp3 = probdisable if disability == 1
replace temp3 = 100 - probdisable if disability == 2
gen temp4 = temp1 * temp2 * temp3 / 10^6
bys sessionid subject: egen temp5 = sum(temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject: egen expGiving = sum(donation*temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject (recipient): gen tempNA = donation[27]

* characteristic-wise comparisions (other two characteristics are N/A)
// row 1: alcoholic
gen temp11 = temp1 / 10^2
bys sessionid subject: egen temp6 = sum(temp11) if alcoholic != 3 & courses == 3 & disability == 3
bys sessionid subject: egen expGiving6 = sum(donation*temp11) if alcoholic != 3 & courses == 3 & disability == 3
sum expGiving6 tempNA if recipient==25 & treatment==0
signrank tempNA = expGiving6 if recipient==25 & treatment==0
// row 2: courses
gen temp21 = temp2 / 10^2
bys sessionid subject: egen temp7 = sum(temp21) if alcoholic == 3 & courses != 3 & disability == 3
bys sessionid subject: egen expGiving7 = sum(donation*temp21) if alcoholic == 3 & courses != 3 & disability == 3
sum expGiving7 tempNA if recipient==21 & treatment==0
signrank tempNA = expGiving7 if recipient==21 & treatment==0
// row 3: disability
gen temp31 = temp3 / 10^2
bys sessionid subject: egen temp8 = sum(temp31) if alcoholic == 3 & courses == 3 & disability != 3
bys sessionid subject: egen expGiving8 = sum(donation*temp31) if alcoholic == 3 & courses == 3 & disability != 3
sum expGiving8 tempNA if recipient==9 & treatment==0
signrank tempNA = expGiving8 if recipient==9 & treatment==0
// row 4: ALL
sum expGiving tempNA if recipient==1 & treatment==0
signrank tempNA = expGiving if recipient==1 & treatment==0


//Column for Information (Salvation Army distribution)
use $myfolder\master_data.dta , clear
* prepare
gen realProbAlcohol = 60
gen realProbCourse = 30
gen realProbDisable = 10
gen temp1 = 100 if alcoholic == 3
replace temp1 = realProbAlcohol if alcoholic == 1
replace temp1 = 100 - realProbAlcohol if alcoholic == 2
gen temp2 = 100 if courses == 3
replace temp2 = realProbCourse if courses == 1
replace temp2 = 100 - realProbCourse if courses == 2
gen temp3 = 100 if disability == 3
replace temp3 = realProbDisable if disability == 1
replace temp3 = 100 - realProbDisable if disability == 2
gen temp4 = temp1 * temp2 * temp3 / 10^6
bys sessionid subject: egen temp5 = sum(temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject: egen expGiving = sum(donation*temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject (recipient): gen tempNA = donation[27]

* characteristic-wise comparisions (other two characteristics are N/A)
// row 1: alcoholic
gen temp11 = temp1 / 10^2
bys sessionid subject: egen temp6 = sum(temp11) if alcoholic != 3 & courses == 3 & disability == 3
bys sessionid subject: egen expGiving6 = sum(donation*temp11) if alcoholic != 3 & courses == 3 & disability == 3
sum expGiving6 tempNA if recipient==25 & treatment==0
signrank tempNA = expGiving6 if recipient==25 & treatment==0
// row 2: courses
gen temp21 = temp2 / 10^2
bys sessionid subject: egen temp7 = sum(temp21) if alcoholic == 3 & courses != 3 & disability == 3
bys sessionid subject: egen expGiving7 = sum(donation*temp21) if alcoholic == 3 & courses != 3 & disability == 3
sum expGiving7 tempNA if recipient==21 & treatment==0
signrank tempNA = expGiving7 if recipient==21 & treatment==0
// row 3: disability
gen temp31 = temp3 / 10^2
bys sessionid subject: egen temp8 = sum(temp31) if alcoholic == 3 & courses == 3 & disability != 3
bys sessionid subject: egen expGiving8 = sum(donation*temp31) if alcoholic == 3 & courses == 3 & disability != 3
sum expGiving8 tempNA if recipient==9 & treatment==0
signrank tempNA = expGiving8 if recipient==9 & treatment==0
// row 4: ALL
sum expGiving tempNA if recipient==1 & treatment==0
signrank tempNA = expGiving if recipient==1 & treatment==0





**********************************************************************
* Table 5
**********************************************************************
* Note: Since this table basically reports a subset of results of Table C4, we refer readers to the code for Table C4 below.



**********************************************************************
* Table 6
**********************************************************************
use $myfolder\master_data.dta , clear

keep if treatment==0
replace probalcohol = 100 - probalcohol
// mean, median, min, max for Alchol, Course and Disable respectively
sum probalcohol probcourse probdisable, de
// 20%<=prior<=80% for Alchol, Course and Disable respectively
gen mediumprior_a = (probalcohol>=20 & probalcohol<=80)
sum mediumprior_a
gen mediumprior_c = (probcourse>=20 & probcourse<=80)
sum mediumprior_c
gen mediumprior_d = (probdisable>=20 & probdisable<=80)
sum mediumprior_d




**************************************************************************
* Table 7: structural estimation 
**************************************************************************
use $myfolder\master_data.dta , clear

xtset subject period 
keep if treatment == 0
replace probalcohol = 100 - probalcohol
gen pA = probalcohol/100 if alcoholic == 3
replace pA = 0 if alcoholic == 1
replace pA = 1 if alcoholic == 2
gen pC = probcourse/100 if courses == 3
replace pC = 0 if courses == 2
replace pC = 1 if courses == 1
gen pD = probdisable/100 if disability == 3
replace pD = 0 if disability == 2
replace pD = 1 if disability == 1
gen logdonation = log(donation)

//aV = 100; bV = 0; aA_g = aC_g = aD_g = aA_b = aC_b = aD_b = 50; bA_b = bC_b = bD_b == bG_b
menl logdonation = log(3*50 - 100 ) ///
- log(2*({bA_g}*pA + {bG_b}*(1-pA) + {bC_g}*pC + {bG_b}*(1-pC) + {bD_g}*pD + {bG_b}*(1-pD))), ///
initial(bA_g 1 bC_g 1 bD_g 1 bG_b 1)




******************************
* Figure C1
******************************
use $myfolder\master_data.dta , clear
* prepare
gen realProbAlcohol = 60
gen realProbCourse = 30
gen realProbDisable = 10
gen temp1 = 100 if alcoholic == 3
replace temp1 = realProbAlcohol if alcoholic == 1
replace temp1 = 100 - realProbAlcohol if alcoholic == 2
gen temp2 = 100 if courses == 3
replace temp2 = realProbCourse if courses == 1
replace temp2 = 100 - realProbCourse if courses == 2
gen temp3 = 100 if disability == 3
replace temp3 = realProbDisable if disability == 1
replace temp3 = 100 - realProbDisable if disability == 2
gen temp4 = temp1 * temp2 * temp3 / 10^6
bys sessionid subject: egen temp5 = sum(temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject: egen expGiving = sum(donation*temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject (recipient): gen tempNA = donation[27]
sum expGiving tempNA if recipient==1 & treatment==1
gen temp11 = temp1 / 10^2
bys sessionid subject: egen temp6 = sum(temp11) if alcoholic != 3 & courses == 3 & disability == 3
bys sessionid subject: egen expGiving6 = sum(donation*temp11) if alcoholic != 3 & courses == 3 & disability == 3
gen temp21 = temp2 / 10^2
bys sessionid subject: egen temp7 = sum(temp21) if alcoholic == 3 & courses != 3 & disability == 3
bys sessionid subject: egen expGiving7 = sum(donation*temp21) if alcoholic == 3 & courses != 3 & disability == 3
gen temp31 = temp3 / 10^2
bys sessionid subject: egen temp8 = sum(temp31) if alcoholic == 3 & courses == 3 & disability != 3
bys sessionid subject: egen expGiving8 = sum(donation*temp31) if alcoholic == 3 & courses == 3 & disability != 3

twoway (scatter expGiving6 tempNA if recipient==25 & treatment==0)(function x, range(tempNA) n(2)), xlabel(0(5)20) xtitle("Giving under no news") ///
ylabel(0(5)20) ytitle("Giving under news") scheme(s1mono) xsize(1) ysize(1) legend(off) title("(a) Alochol")
Graph save Graph "$DropFolder\1.gph", replace
twoway (scatter expGiving7 tempNA if recipient==21 & treatment==0)(function x, range(tempNA) n(2)), xlabel(0(5)20) xtitle("Giving under no news") ///
ylabel(0(5)20) ytitle("Giving under news") scheme(s1mono) xsize(1) ysize(1) legend(off) title("(b) Courses")
Graph save Graph "$DropFolder\2.gph", replace
twoway (scatter expGiving8 tempNA if recipient==9 & treatment==0)(function x, range(tempNA) n(2)), xlabel(0(5)20) xtitle("Giving under no news") ///
ylabel(0(5)20) ytitle("Giving under news") scheme(s1mono) xsize(1) ysize(1) legend(off) title("(c) Disabled")
Graph save Graph "$DropFolder\3.gph", replace
twoway (scatter expGiving tempNA if recipient==1 & treatment==0)(function x, range(tempNA) n(2)), xlabel(0(5)20) xtitle("Giving under no news") ///
ylabel(0(5)20) ytitle("Giving under news") scheme(s1mono) xsize(1) ysize(1) legend(off) title("(d) ALL")
Graph save Graph "$DropFolder\4.gph", replace
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph""$DropFolder\4.gph", ///
scheme(s1mono) cols(2) xsize(2) ysize(2) scale(0.7)



******************************
* Figure C2
******************************
use $myfolder\master_data.dta , clear

// priors >= 80%
preserve
keep if treatment == 0
keep if probalcohol <= 20
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
keep if probcourse >= 80
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
keep if probdisable >=80
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3) title("prior >= 80%")
 

// 60%<= priors < 80%
preserve
keep if treatment == 0
keep if probalcohol > 20 & probalcohol <= 40
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
keep if probcourse >= 60 & probcourse < 80
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
keep if probdisable >= 60 & probdisable < 80
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3) title("60% <= prior < 80%")


// 40%<= priors < 60%
preserve
keep if treatment == 0
keep if probalcohol > 40 & probalcohol <= 60
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
keep if probcourse >= 40 & probcourse < 60
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
keep if probdisable >= 40 & probdisable < 60
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3) title("40% <= prior < 60%")


// 20%<= priors < 40%
preserve
keep if treatment == 0
keep if probalcohol > 60 & probalcohol <= 80
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
keep if probcourse >= 20 & probcourse < 40
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
keep if probdisable >= 20 & probdisable < 40
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3) title("20% <= prior < 40%")


// priors < 20%
preserve
keep if treatment == 0
keep if probalcohol > 80 
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 25
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 26
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Alcohol") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\1.gph", replace
restore
preserve
keep if treatment == 0
keep if probcourse < 20
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 24
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 21
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Courses") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\2.gph", replace		
restore
preserve
keep if treatment == 0
keep if probdisable < 20
collapse donation (semean) se_c = donation, by(recipient)
gen c_u = donation + se_c
gen c_l = donation - se_c
gen x1 = 1 if recipient == 18
gen x2 = 2 if recipient == 27
gen x3 = 3 if recipient == 9
gen mean_string = string(donation, "%3.2f")
twoway (bar donation x1, bfcolor(gs2)) ///
		(bar donation x2, bfcolor(white) lcolor(black) lwidth(medium)) ///
		(bar donation x3, bfcolor(gs10)) ///
		(rcap c_u c_l x1, lcolor("black")) ///
		(rcap c_u c_l x2, lcolor("black")) ///
		(rcap c_u c_l x3, lcolor("black")) ///
		(scatter donation x1, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x2, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		(scatter donation x3, msym(none) mlab(mean_string) mlabsize(medium) mlabpos(11) mlabcolor(black)) ///
		, ///
		xsize(1) ysize(1.3) scale(1.1)	///
		legend(region(lstyle(none))) ///
		plotregion(lstyle(none)) ///
		title("Disabled") ///
		ytitle("",size(medsmall)) ///
		ylabel(0(1)8, ang(0)) ///
		xlabel(1 "bad" 2 "NA" 3 "good",noticks) ///
		xtick() scheme(s1mono) legend(off) 
Graph save Graph "$DropFolder\3.gph", replace	
restore
graph combine "$DropFolder\1.gph""$DropFolder\2.gph""$DropFolder\3.gph", ///
scheme(s1mono) cols(3) l1title("Average Donation",size(medsmall)) xsize(2) ysize(1) scale(1.3) title("prior < 20%")


****************************************************************************
* Table C1 (Note: the output of p-values might be slightly different from that reported in the paper because of the bootstrap procedure)
****************************************************************************
use $myfolder\master_data.dta , clear
ssc install mhtreg
preserve
keep if treatment==0
replace alcoholic = 3 - alcoholic
replace courses = 0 if courses == 3
replace disability = 0 if disability == 3
keep if (courses == 0 & disability == 0)|(alcoholic == 0 & disability == 0)|(alcoholic == 0 & courses == 0)
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)
mhtreg (donation A_plus A_minus C_plus C_minus D_plus D_minus)  ///
(donation A_minus A_plus C_plus C_minus D_plus D_minus)  ///
(donation A_plus A_na C_plus C_minus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_minus D_plus D_minus)  ///
(donation C_minus A_plus A_minus C_plus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_na D_plus D_minus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_minus)  ///
(donation D_minus A_plus A_minus C_plus C_minus D_plus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_na)  ///
, cluster(subject) cltype(3)
restore


**************************
* Table C3
**************************
use $myfolder\master_data.dta , clear
keep if treatment==0
replace alcoholic = 3 - alcoholic
replace courses = 0 if courses == 3
replace disability = 0 if disability == 3

xtset subject period

// column 1
xtprobit donation i.alcoholic i.courses i.disability period if ///
((courses == 0 & disability == 0)|(alcoholic == 0 & disability == 0)|(alcoholic == 0 & courses == 0))
margins, predict(pu0) dydx(*)
// column 2
xttobit donation i.alcoholic i.courses i.disability period if ///
((courses == 0 & disability == 0)|(alcoholic == 0 & disability == 0)|(alcoholic == 0 & courses == 0)), ul(20) ll(0)
// column 3
xtprobit donation i.alcoholic i.courses i.disability period 
margins, predict(pu0) dydx(*)
// column 4
xttobit donation i.alcoholic i.courses i.disability period, ul(20) ll(0)

// hypothesis tests
test 1.alcoholic = -2.alcoholic
test 1.courses = -2.courses
test 1.disability = -2.disability
test 1.alcoholic = 1.courses
test 1.alcoholic = 1.disability
test 1.courses = 1.disability



**************************
* Table C4 (Note: the output is not in the same perfect order as those reported in the paper.
*           To be clear, alcoholic variable takes the value "yes/no/na" which corresponds "bad/good/na" in Table C4.
*            courses or disability variable takes the value "yes/no/na" which corresponds "good/bad/na" in Table C4.)
**************************
// the following code produces the mean(sd) of giving under each characteristic
use $myfolder\master_data.dta , clear
keep if treatment==0
gen al = 0 if alcohol == 1
replace al = 1 if alcohol == 3
replace al = 2 if alcohol == 2
gen co = 0 if courses == 2
replace co = 1 if courses == 3
replace co = 2 if courses == 1
gen di = 0 if disability == 2
replace di = 1 if disability == 3
replace di = 2 if disability == 1
gen reci = string(al) + string(co) + string(di)
bys reci: egen sumdonation = mean(donation)
bys reci: egen sddonation = sd(donation)
bys reci: keep if _n == 1
sort treatment reci
br treatment recipient alcohol courses disability reci sumdonation sddonation


****************************************************************************
* Table C5 (Note: the output of p-values might be slightly different from that reported in the paper because of the bootstrap procedure)
****************************************************************************
use $myfolder\master_data.dta , clear
preserve
keep if treatment==0
replace alcoholic = 3 - alcoholic
replace courses = 0 if courses == 3
replace disability = 0 if disability == 3
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)
mhtreg (donation A_plus A_minus C_plus C_minus D_plus D_minus)  ///
(donation A_minus A_plus C_plus C_minus D_plus D_minus)  ///
(donation A_plus A_na C_plus C_minus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_minus D_plus D_minus)  ///
(donation C_minus A_plus A_minus C_plus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_na D_plus D_minus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_minus)  ///
(donation D_minus A_plus A_minus C_plus C_minus D_plus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_na)  ///
, cluster(subject) cltype(3)
restore


****************************************************************************
* Table C6 (Note: the output of p-values might be slightly different from that reported in the paper because of the bootstrap procedure)
****************************************************************************
use $myfolder\master_data.dta , clear
preserve
keep if treatment==1
replace alcoholic = 3 - alcoholic
replace courses = 0 if courses == 3
replace disability = 0 if disability == 3
keep if (courses == 0 & disability == 0)|(alcoholic == 0 & disability == 0)|(alcoholic == 0 & courses == 0)
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)
mhtreg (donation A_plus A_minus C_plus C_minus D_plus D_minus)  ///
(donation A_minus A_plus C_plus C_minus D_plus D_minus)  ///
(donation A_plus A_na C_plus C_minus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_minus D_plus D_minus)  ///
(donation C_minus A_plus A_minus C_plus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_na D_plus D_minus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_minus)  ///
(donation D_minus A_plus A_minus C_plus C_minus D_plus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_na)  ///
, cluster(subject) cltype(3)
restore


**************************
* Table C9 (Note: the output is not in the same perfect order as those reported in the paper.
*           To be clear, alcoholic variable takes the value "yes/no/na" which corresponds "bad/good/na" in Table C4.
*            courses or disability variable takes the value "yes/no/na" which corresponds "good/bad/na" in Table C4.)
**************************
// the following code produces the mean(sd) of giving under each characteristic
use $myfolder\master_data.dta , clear
keep if treatment==1
gen al = 0 if alcohol == 1
replace al = 1 if alcohol == 3
replace al = 2 if alcohol == 2
gen co = 0 if courses == 2
replace co = 1 if courses == 3
replace co = 2 if courses == 1
gen di = 0 if disability == 2
replace di = 1 if disability == 3
replace di = 2 if disability == 1
gen reci = string(al) + string(co) + string(di)
bys reci: egen sumdonation = mean(donation)
bys reci: egen sddonation = sd(donation)
bys reci: keep if _n == 1
sort treatment reci
br treatment recipient alcohol courses disability reci sumdonation sddonation



****************************************************************************
* Table C10 (Note: the output of p-values might be slightly different from that reported in the paper because of the bootstrap procedure)
****************************************************************************
use $myfolder\master_data.dta , clear
preserve
keep if treatment==1
replace alcoholic = 3 - alcoholic
replace courses = 0 if courses == 3
replace disability = 0 if disability == 3
gen A_na = (alcoholic==0)
gen A_minus = (alcoholic==2)
gen A_plus = (alcoholic==1)
gen C_na = (courses==0)
gen C_minus = (courses==2)
gen C_plus = (courses==1)
gen D_na = (disability==0)
gen D_minus = (disability==2)
gen D_plus = (disability==1)
mhtreg (donation A_plus A_minus C_plus C_minus D_plus D_minus)  ///
(donation A_minus A_plus C_plus C_minus D_plus D_minus)  ///
(donation A_plus A_na C_plus C_minus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_minus D_plus D_minus)  ///
(donation C_minus A_plus A_minus C_plus D_plus D_minus)  ///
(donation C_plus A_plus A_minus C_na D_plus D_minus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_minus)  ///
(donation D_minus A_plus A_minus C_plus C_minus D_plus)  ///
(donation D_plus A_plus A_minus C_plus C_minus D_na)  ///
, cluster(subject) cltype(3)
restore


************************************************************************
* Table C11
************************************************************************

use $myfolder\master_data.dta , clear
* prepare
gen realProbAlcohol = 60
gen realProbCourse = 30
gen realProbDisable = 10
gen temp1 = 100 if alcoholic == 3
replace temp1 = realProbAlcohol if alcoholic == 1
replace temp1 = 100 - realProbAlcohol if alcoholic == 2
gen temp2 = 100 if courses == 3
replace temp2 = realProbCourse if courses == 1
replace temp2 = 100 - realProbCourse if courses == 2
gen temp3 = 100 if disability == 3
replace temp3 = realProbDisable if disability == 1
replace temp3 = 100 - realProbDisable if disability == 2
gen temp4 = temp1 * temp2 * temp3 / 10^6
bys sessionid subject: egen temp5 = sum(temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject: egen expGiving = sum(donation*temp4) if alcoholic != 3 & courses != 3 & disability != 3
bys sessionid subject (recipient): gen tempNA = donation[27]

* characteristic-wise comparisions (other two characteristics are N/A)
// row 1: alcoholic
gen temp11 = temp1 / 10^2
bys sessionid subject: egen temp6 = sum(temp11) if alcoholic != 3 & courses == 3 & disability == 3
bys sessionid subject: egen expGiving6 = sum(donation*temp11) if alcoholic != 3 & courses == 3 & disability == 3
sum expGiving6 tempNA if recipient==25 & treatment==1
signrank tempNA = expGiving6 if recipient==25 & treatment==1
// row 2: courses
gen temp21 = temp2 / 10^2
bys sessionid subject: egen temp7 = sum(temp21) if alcoholic == 3 & courses != 3 & disability == 3
bys sessionid subject: egen expGiving7 = sum(donation*temp21) if alcoholic == 3 & courses != 3 & disability == 3
sum expGiving7 tempNA if recipient==21 & treatment==1
signrank tempNA = expGiving7 if recipient==21 & treatment==1
// row 3: disability
gen temp31 = temp3 / 10^2
bys sessionid subject: egen temp8 = sum(temp31) if alcoholic == 3 & courses == 3 & disability != 3
bys sessionid subject: egen expGiving8 = sum(donation*temp31) if alcoholic == 3 & courses == 3 & disability != 3
sum expGiving8 tempNA if recipient==9 & treatment==1
signrank tempNA = expGiving8 if recipient==9 & treatment==1
// row 4: ALL
sum expGiving tempNA if recipient==1 & treatment==1
signrank tempNA = expGiving if recipient==1 & treatment==1



**********************************************************************
* Table C12
**********************************************************************
* Note: Since this table basically reports a subset of results of Table C9, we refer readers to the code for Table C9 above.




******************************
* Table C15: extreme priors and middle ones
******************************
use $myfolder\master_data.dta , clear
keep if treatment==0
keep if (courses == 3 & disability == 3)|(alcoholic == 3 & disability == 3)|(alcoholic == 3 & courses == 3)
replace recipient = 51 - recipient if recipient == 25 | recipient == 26
label define recipient 9 "+D" 18 "-D" 21 "+C" 24 "-C" 25 "+A" 26 "-A" 27 "NA", replace
label values recipient recipient
replace probalcohol = 100 - probalcohol
// prior >= 80%
gen pa = 1 if probalcohol >= 80 
gen pc = 1 if probcourse >= 80  
gen pd = 1 if probdisable >= 80 
// 60% <= prior < 80%
replace pa = 2 if probalcohol < 80 & probalcohol >=60
replace pc = 2 if probcourse < 80 & probcourse >=60
replace pd = 2 if probdisable < 80 & probdisable >=60
// 40% <= prior < 60%
replace pa = 3 if probalcohol < 60 & probalcohol >=40
replace pc = 3 if probcourse < 60 & probcourse >=40
replace pd = 3 if probdisable < 60 & probdisable >=40
// 20% <= prior < 40%
replace pa = 4 if probalcohol < 40 & probalcohol >=20
replace pc = 4 if probcourse < 40 & probcourse >=20
replace pd = 4 if probdisable < 40 & probdisable >=20
// prior < 20%
replace pa = 5 if probalcohol < 20
replace pc = 5 if probcourse < 20
replace pd = 5 if probdisable < 20

tab pa if recipient==9 // non-alcohol
tab pc if recipient==9 // course
tab pd if recipient==9 // disable






